Subject: Re: bug#5364: 23.1.91; execute-extended-command should do like FFAP

From: Juri Linkov <[email-masked]>
Date: Tue, 12 Jan 2010 22:54:34 +0200

> OK, how would you execute this command that you see sitting in front of you?
> (list-load-path-shadows)
>
> I ended up doing <escape> x l i s t p <backspace>
> - <escape> / <return>
>
> That's because I am unable to just put the cursor on it and do M-x, as
> for some reason execute-extended-command won't prompt me for it even now
> these days. I recall the idea was rejected.

The idea of adding a command to pull a string from the original buffer
to the minibuffer was not rejected.  The only problem is that we have
to find a good keybinding.  One proposal was to use `M-.', so when the
cursor is on the string `list-load-path-shadows' you can type

  M-x M-. RET

-- 
Juri Linkov
http://www.jurta.org/emacs/